Notifications
Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.
Objects
Notification
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The notification ID |
created | string | ISO 8601 timestamp | The instant the notification was created at |
lastModified | string | ISO 8601 timestamp | The instant the notification was last modified at |
actor | object | Member | The member whose action raised this notification |
type | string | Notification Type | The type of notification |
resolved | bool | Whether or not the notification has been read |
{
"id" : "e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"created" : "2026-10-23T13:53:15.807626",
"lastModified" : "2026-10-23T13:53:15.807629",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f7176f47-e94b-4e95-8faf-99870ddefb1c",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.978865",
"lastModified" : "2026-10-23T13:53:13.978866",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f7176f47-e94b-4e95-8faf-99870ddefb1c"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}
Formats
Notification Type
string
| Value | Description |
|---|---|
DATASET_ACTIVITY | Any activity on the dataset |
DATASET_ANOMALY | A detected anomaly in the dataset data |
DATASET_COMMENT | A comment on the dataset |
DATASET_LIKE | A like recorded on the dataset |
DATASET_MESSAGE | A message about the dataset |
JOB_STARTED | A job started for a pipeline |
JOB_ENDED | A job ended for a pipeline |
Requests
View all notifications
GET /api/notifications?all={all}&before={before}&since={since}
Returns all notifications for the authenticated user profile.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | false | Whether or not to return both resolved and unresolved notifications |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications?before=2026-10-23T13%3A53%3A16.131437639&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.meltano.com:443/api/notifications?before=2026-10-23T13%3A53%3A16.131437639&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"created" : "2026-10-23T13:53:15.807626",
"lastModified" : "2026-10-23T13:53:15.807629",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f7176f47-e94b-4e95-8faf-99870ddefb1c",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.978865",
"lastModified" : "2026-10-23T13:53:13.978866",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f7176f47-e94b-4e95-8faf-99870ddefb1c"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}, {
"id" : "cecb76ee-74e2-4720-8678-796606a680cd",
"created" : "2026-10-23T13:53:15.70474",
"lastModified" : "2026-10-23T13:53:15.704742",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f6d91ae2-5748-4152-aa5f-6539f1a2c175",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.850336",
"lastModified" : "2026-10-23T13:53:13.850336",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/cecb76ee-74e2-4720-8678-796606a680cd"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/cecb76ee-74e2-4720-8678-796606a680cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f6d91ae2-5748-4152-aa5f-6539f1a2c175"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}, {
"id" : "fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426",
"created" : "2026-10-23T13:53:15.586661",
"lastModified" : "2026-10-23T13:53:15.586663",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "463f75f1-640f-416e-9f6e-7d3dd9f06df5",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.714599",
"lastModified" : "2026-10-23T13:53:13.714599",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/463f75f1-640f-416e-9f6e-7d3dd9f06df5"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications?before=2026-10-23T13%3A53%3A16.131437639&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all notifications for a workspace
GET /api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}
Returns all notifications for the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | Whether or not to return both resolved and unresolved notifications | |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9/notifications?before=2026-10-23T13%3A53%3A16.243760937&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9/notifications?before=2026-10-23T13%3A53%3A16.243760937&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"created" : "2026-10-23T13:53:15.807626",
"lastModified" : "2026-10-23T13:53:15.807629",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f7176f47-e94b-4e95-8faf-99870ddefb1c",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.978865",
"lastModified" : "2026-10-23T13:53:13.978866",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f7176f47-e94b-4e95-8faf-99870ddefb1c"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}, {
"id" : "cecb76ee-74e2-4720-8678-796606a680cd",
"created" : "2026-10-23T13:53:15.70474",
"lastModified" : "2026-10-23T13:53:15.704742",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f6d91ae2-5748-4152-aa5f-6539f1a2c175",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.850336",
"lastModified" : "2026-10-23T13:53:13.850336",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/cecb76ee-74e2-4720-8678-796606a680cd"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/cecb76ee-74e2-4720-8678-796606a680cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f6d91ae2-5748-4152-aa5f-6539f1a2c175"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}, {
"id" : "fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426",
"created" : "2026-10-23T13:53:15.586661",
"lastModified" : "2026-10-23T13:53:15.586663",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "463f75f1-640f-416e-9f6e-7d3dd9f06df5",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.714599",
"lastModified" : "2026-10-23T13:53:13.714599",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/fe8f2a1d-1a11-4fb8-b37e-51fd4ac9e426",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/463f75f1-640f-416e-9f6e-7d3dd9f06df5"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9/notifications?before=2026-10-23T13%3A53%3A16.243760937&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View a notification
GET /api/notifications/{notification-id}
Returns the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d' -i -X GET
import requests
url = "https://app.meltano.com:443/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification with HAL links.
{
"id" : "e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"created" : "2026-10-23T13:53:15.807626",
"lastModified" : "2026-10-23T13:53:15.807629",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "f7176f47-e94b-4e95-8faf-99870ddefb1c",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:13.978865",
"lastModified" : "2026-10-23T13:53:13.978866",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/f7176f47-e94b-4e95-8faf-99870ddefb1c"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
}
Refresh notifications
PUT /api/notifications?since={since}&markAsResolved={markAsResolved}
Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
since | No | ISO 8601 timestamp | The instant at which the request was made | The instant to fetch any new notifications from |
markAsResolved | No | Boolean | true | Whether or not to mark notifications created up to since as resolved |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications?since=2026-10-23T13%3A53%3A16.918608' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/notifications?since=2026-10-23T13%3A53%3A16.918608"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "ea85d40b-6864-48de-9fa5-5d6348a5447f",
"created" : "2026-10-23T13:53:18.029485",
"lastModified" : "2026-10-23T13:53:18.029487",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "e4c9fd51-5edc-4d97-b327-6819d28a7f43",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-10-23T13:53:17.809223",
"lastModified" : "2026-10-23T13:53:17.809224",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"dataset" : {
"id" : "5128a07c-bc40-4c9a-8130-80d8ef0f272a",
"published" : "2026-10-23T13:53:08.040377",
"alias" : "analytics-tables",
"workspaceId" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'wkpwvuj'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-23T13:53:08.060072",
"score" : 1.0
},
"workspace" : {
"id" : "6bbefb6d-b4da-4599-9042-914465c786b9",
"name" : "Test Workspace [2026-10-23T13:53:07.119520338]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications/ea85d40b-6864-48de-9fa5-5d6348a5447f"
},
"delete notification" : {
"href" : "https://app.meltano.com/api/notifications/ea85d40b-6864-48de-9fa5-5d6348a5447f",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/4022cc1a-f41b-49ba-b8ca-376cc3e7aaea"
},
"datasetComment" : {
"href" : "https://app.meltano.com/api/comments/e4c9fd51-5edc-4d97-b327-6819d28a7f43"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a"
},
"data" : {
"href" : "https://app.meltano.com/api/datasets/5128a07c-bc40-4c9a-8130-80d8ef0f272a/data"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/6bbefb6d-b4da-4599-9042-914465c786b9"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/notifications?since=2026-10-23T13%3A53%3A16.918608&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
Delete a notification
DELETE /api/notifications/{notification-id}
Deletes the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/notifications/e35b3224-15eb-4e05-a9b4-e3a7004a488d"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.